#ifndef __DEBUG_H
#define __DEBUG_H

#include <stdio.h>
#include <stdarg.h>

#define inline

extern FILE *__debug_out;
extern const char *__debug_function_name;
extern const char *__debug_class;

void do_print_trace(const char *fmt, ...);

#define TRACE __debug_function_name=__FUNCTION__; __debug_class="trace"; do_print_trace
#define WARN __debug_function_name=__FUNCTION__; __debug_class="warn"; do_print_trace
#define ERR __debug_function_name=__FUNCTION__; __debug_class="err"; do_print_trace
#define FIXME __debug_function_name=__FUNCTION__; __debug_class="fixme"; do_print_trace

char *debugstr_guid(REFGUID guid);

#endif