#ifndef RECYCLEBIN_H
#define RECYCLEBIN_H

typedef struct tagRecycleBin RecycleBin;
extern int objCount;

HRESULT RecycleBin_Constructor(RecycleBin **ppOutput);
void RecycleBin_Destructor(RecycleBin *This);

typedef struct tagTRASH_ELEMENT TRASH_ELEMENT;

HRESULT TRASH_CreateSimplePIDL(const TRASH_ELEMENT *element, const WIN32_FIND_DATAW *data, LPITEMIDLIST *pidl);
HRESULT TRASH_UnpackItemID(LPCSHITEMID id, TRASH_ELEMENT *element, WIN32_FIND_DATAW *data);
HRESULT TRASH_EnumElements(LPITEMIDLIST **pidls, int *count);
void TRASH_DisposeElement(TRASH_ELEMENT *element);

#endif